com.h3c.util.ip

## Enum IfType

- java.lang.Object
- - java.lang.Enum<IfType>
  - - com.h3c.util.ip.IfType

- All Implemented Interfaces:
    Serializable, Comparable<IfType>

      public enum IfType
      extends Enum<IfType>

  IANA Interface types.

  See http://www.iana.org/assignments/ianaiftype-mib

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A12MBIT_PP_SWITCH` Avalon Parallel Processor.
    `AAL2` ATM adaptation layer 2.
    `AAL5` AAL5 over ATM.
    `ACTELIS_METALOOP` Actelis proprietary MetaLOOP high-speed link.
    `ADSL` Asymmetric Digital Subscriber Loop.
    `ADSL2` Asymmetric Digital Subscriber Loop version 2.
    `ADSL2_PLUS` Asymmetric Digital Subscriber Loop version 2+ and all variants.
    `AFLANE_802_3` ATM emulated LAN for 802.3.
    `AFLANE_802_5` ATM emulated LAN for 802.5.
    `ALU_ELP` Alcatel-Lucent Ethernet Link Protection.
    `ARAP` AppleTalk Remote Access Protocol.
    `ARCNET`
    `ARCNET_PLUS`
    `ASYNC` Asynchronous protocol.
    `ATM` ATM cells.
    `ATM_BOND`
    `ATM_DXI`
    `ATM_FUNI`
    `ATM_IMA`
    `ATM_LOGICAL` ATM logical port.
    `ATM_RADIO` ATM over radio links.
    `ATM_SUB_INTERFACE`
    `ATM_VCI_ENDPOINT`
    `ATM_VIRTUAL`
    `AVICI_OPTICAL_ETHERNET` Avici Optical Ethernet aggregate.
    `BASIC_ISDN` No longer used; see RFC 2127.
    `BGP_POLICY_ACCOUNTING`
    `BISYNC` Bisynchronous protocol.
    `CAP_WAP_802_11_BSS` WLAN BSS interface.
    `CAP_WAP_802_11_PROFILE` WLAN profile interface.
    `CAP_WAP_802_11_WTP_VIRTUAL_RADIO` WLAN Virtual Radio interface.
    `CBL_VECTASTAR` Cambridge Broadband Networks Limited VectaStar.
    `CCT_EMULATED` ATM emulated circuit.
    `CES` Circuit emulation service.
    `CHANNEL`
    `CISCO_ISL_VLAN` Layer 2 VLAN using Cisco ISL.
    `CNR` Combat Net Radio.
    `COFFEE` Coffee pot.
    `COMPOSITE_LINK` Avici Composite Link Interface.
    `DCN` Data Communications Network.
    `DDN_X25`
    `DIGITAL_POWERLINE` IP over power lines.
    `DIGITAL_WRAPPER_OVERHEAD_CHANNEL`
    `DLSW` Data link switching.
    `DOCS_CABLE_DOWNSTREAM` Cable television downstream interface.
    `DOCS_CABLE_MAC_LAYER` Cable television MAC layer.
    `DOCS_CABLE_MCTMS_DOWNSTREAM` Cable television modular CMTS downstream interface.
    `DOCS_CABLE_UPSTREAM` Cable television upstream interface.
    `DOCS_CABLE_UPSTREAM_CHANNEL` Cable television upstream channel.
    `DS0` Digital Signal Level 0.
    `DS0_BUNDLE` Group of DS0s on the same DS1.
    `DS1`
    `DS1_FDL` Facility data link 4kbps on a DS1.
    `DS3`
    `DTM` Dynamic synchronous transfer mode.
    `DVB_ASI_INPUT`
    `DVB_ASI_OUTPUT`
    `DVB_RCC_DOWNSTREAM`
    `DVB_RCC_MAC_LAYER`
    `DVB_RCC_UPSTREAM`
    `DVB_RCS_MAC_LAYER`
    `DVB_RCS_TDMA`
    `DVB_TDM` DVB Satellite TDM.
    `E1` Obsolete; see DS1 MIB.
    `ECONET` Acorn Econet.
    `EON` CLNP over IP.
    `EPLRS` External Position Location Report System.
    `ESCON` IBM Enterprise Systems Connection.
    `ETHERNET_3MBIT`
    `ETHERNET_CSMACD` For all Ethernet-like interfaces, regardless of speed, as per RFC 3635.
    `FAST_CHANNEL`
    `FAST_ETHERNET` Obsoleted via RFC 3635; interface type 6 should be used instead.
    `FAST_ETHERNET_FX` Obsoleted via RFC 3635; interface type 6 should be used instead.
    `FAST_ETHERNET_FX_SFP`
    `FCIP_LINK`
    `FDDI`
    `FIBRE_CHANNEL`
    `FRAME_FORWARD`
    `FRAME_RELAY` DTE only.
    `FRAME_RELAY_DLCI_ENDPOINT`
    `FRAME_RELAY_INTERCONNECT` Obsolete; interface types 32 or 44 should be used instead.
    `FRAME_RELAY_MPI` Multiprotocol interconnect over Frame Relay.
    `FRAME_RELAY_SERVICE` FRNETSERV MIB.
    `FRF_16_MULTILINK_FRAME_RELAY_BUNDLE`
    `G703_2MBIT` Obsolete; see DS1 MIB.
    `G703_64KBIT` CCITT G703 at 64kbps.
    `GFP` Generic Framing Procedure.
    `GIGABIT_ETHERNET` Deprecated via RFC 3635; interface type 6 should be used instead.
    `GIGABIT_ETHERNET_ESP`
    `GIGABIT_ETHERNET_LH`
    `GIGABIT_ETHERNET_LX` Deprecated via RFC 3635; interface type 6 should be used instead.
    `GIGABIT_ETHERNET_STK`
    `GIGABIT_ETHERNET_T` Deprecated via RFC 3635; interface type 6 should be used instead.
    `GPON` Gigabit-capable passive optical networks (G-PON) per ITU-T G.948.
    `GR303_IDT` Integrated Digital Terminal.
    `GR303_RDT` Remote Digital Terminal.
    `GTP` GPRS Tunneling Protocol.
    `H323_GATEKEEPER`
    `H323_PROXY` H323 voice and video proxy.
    `HDH_1822`
    `HDLC`
    `HDSL_2` High bitrate DSL (second generation).
    `HIPER_LAN_2` HIPERLAN type 2 radio interface.
    `HIPPI`
    `HIPPI_INTERFACE`
    `HOME_PNA` Home PNA ITU-T G.989.
    `HP_MESH`
    `HP_TRUNK`
    `HP_VLAN`
    `HPICFTC_SFP_LRM`
    `HSSI`
    `HYPERCHANNEL`
    `IBM_370_OEM_CHANNEL` IBM System 360/370 OEMI channel.
    `IDSL` Digital Subscriber Loop over ISDN.
    `IEEE_1394` IEEE 1394 high-performance serial bus.
    `IEEE_802_11` Radio spread spectrum.
    `IEEE_802_12_HUNDRED_VG_ANYLAN` 100 Base-VG.
    `IEEE_802_16_WMAN`
    `IEEE_802_3AD_LINK_AGGREGATE`
    `IF_GSN` HIPPI 6400.
    `ILAN` Internal LAN on a bridge per IEEE 802.1ap.
    `INFINIBAND`
    `INTER_MACHINE_TRUNKS`
    `INTERLEAVE_CHANNEL`
    `IP` IP (for APPN HPR in IP networks).
    `IP_FORWARDING`
    `IP_OVER_ATM`
    `IP_OVER_CDLC` IBM IP over CDLC.
    `IP_OVER_CLAW` IBM Common Link Access to workstation.
    `IP_SWITCH` IP switching objects.
    `ISDN` ISDN and X.25.
    `ISDN_ST` ISDN S/T interface.
    `ISDN_U` ISDN U interface.
    `ISO8_802_211C`
    `ISO8_802_3_CSMACD` Deprecated via RFC 3635; interface type 6 should be used instead.
    `ISO8_802_4_TOKENBUS`
    `ISO8_802_5_CRFP`
    `ISO8_802_5_TOKENRING`
    `ISO8_802_5J_FIBER`
    `ISO8_802_5R_DTR`
    `ISO8_802_6_MAN`
    `ISUP`
    `L2VLAN` Layer 2 virtual LAN using 802.1Q.
    `L3_IP_VLAN` Layer 3 virtual LAN using IP.
    `L3_IPX_VLAN` Layer 3 virtual LAN using IPX.
    `LAPB`
    `LAPD` Link Access Protocol D.
    `LAPF` Link Access Protocol F.
    `LINE_GROUP` Interface common to multiple lines.
    `LMP` Link Management Protocol.
    `LOCALTALK`
    `LONG_REACH_DSL`
    `MAC_SEC_CONTROLLED`
    `MAC_SEC_UNCONTROLLED`
    `MEDIA_MAIL_OVER_IP` Multi-media mail over IP.
    `MIO_X25`
    `MOCA_VERSION_1` Multi-media over Coax Alliance (MoCA).
    `MODEM` Generic modem.
    `MPC` IBM multi-protocol channel support.
    `MPEG_TRANSPORT`
    `MPLS`
    `MPLS_TUNNEL`
    `MSDSL` Multi-rate symmetric DSL.
    `MULTI_FREQUENCY_SIGNALING_LINK`
    `MVL` Multiple virtual lines DSL
    `MYRINET` Myricom Myrinet.
    `NFAS` Non-facility associated signaling.
    `NSIP` XNS over IP.
    `OPTICAL_CHANNEL`
    `OPTICAL_CHANNEL_GROUP`
    `OPTICAL_TRANSPORT`
    `OTHER` None of the following.
    `PARALLEL_PORT`
    `PDN_ETHERLOOP_1`
    `PDN_ETHERLOOP_2`
    `PIP` Provider instance port on a bridge per IEEE 802.1ah PBB.
    `PLC` Power link communications.
    `PON_155` FSAN 155Mbps Symmetrical PON interface.
    `PON_622` FSAN 622Mbps Symmetrical PON interface.
    `POS` Packet over SONET/SDH interface.
    `PPP`
    `PPP_MULTILINK_BUNDLE`
    `PRIMARY_ISDN` No longer used; see RFC 2127.
    `PROPRIETARY_ATM`
    `PROPRIETARY_BROADBAND_WIRELESS_AP_TO_MULTIPOINT` Deprecated for IEEE 802.16f standard; interface type 237 should be used instead.
    `PROPRIETARY_CONNECTIONLESS`
    `PROPRIETARY_DOCS_WIRELESS_DOWNSTREAM` Cisco proprietary downstream.
    `PROPRIETARY_DOCS_WIRELESS_MAC_LAYER` Cisco proprietary MAC layer.
    `PROPRIETARY_DOCS_WIRELESS_UPSTREAM` Cisco proprietary upstream.
    `PROPRIETARY_MULTIPLEXOR`
    `PROPRIETARY_POINT_TO_POINT_SERIAL`
    `PROPRIETARY_VIRTUAL`
    `PROPRIETARY_WIRELESS_POINT_TO_POINT`
    `PROTEON_10MBIT`
    `PROTEON_80MBIT`
    `PSEUDO_WIRE`
    `Q_2931`
    `QAM` RF Qam interface.
    `QLLC` SNA QLLC.
    `RADIO_MAC` MAC layer over radio links.
    `RADSL` Rate-Adapting Digital Subscriber Loop.
    `REGULAR_1822`
    `RFC_877_X25`
    `RFC1483` Multi-protocol over ATM AAL5.
    `RPR` Resilient Packet Ring.
    `RS232`
    `RSRB` Remote source bridge routing.
    `SDLC`
    `SDSL` Symmetric Digital Subscriber Loop.
    `SHDSL` Multi-rate HDSL2.
    `SIP` SMDS, coffee.
    `SIP_SIGNALING`
    `SIP_TRUNK_GROUP`
    `SIX_TO_FOUR` Deprecated.
    `SLIP` Generic SLIP.
    `SMDS_DXI`
    `SMDS_ICIP` SMDS inter-carrier interface.
    `SOFTWARE_LOOPBACK`
    `SONET` SONET or SDH.
    `SONET_OVERHEAD_CHANNEL`
    `SONET_PATH`
    `SONET_VT`
    `SRP` Spatial Reuse Protocol.
    `SS7_SIGNALING_LINK`
    `STACK_TO_STACK` IBM stack-to-stack.
    `STAR_LAN` Deprecated via RFC 3635; interface type 6 should be used instead.
    `TDLC` IBM twin-axial data link control.
    `TE_LINK`
    `TEN_GIGABIT_ETHERNET_CX4`
    `TEN_GIGABIT_ETHERNET_ER`
    `TEN_GIGABIT_ETHERNET_LR`
    `TEN_GIGABIT_ETHERNET_SR`
    `TR008`
    `TRANSP_HDLC`
    `TRANSPARENT_BRIDGE`
    `TUNNEL` Encapsulation interface.
    `ULTRA` ULTRA technologies.
    `UNKNOWN` The only non-IANA value here, this indicates that the interface type is not yet known.
    `USB`
    `V11_X21` CCITT V.11/X.21.
    `V35`
    `V36` CCITT V.36.
    `V37`
    `VDSL` Very High-Speed Digital Subscriber Loop.
    `VDSL2` Very High-Speed Digital Subscriber Loop version 2 (per ITU-T G.993.2).
    `VIPA` IBM virtual IP address.
    `VIRTUAL_TRUNK_GROUP`
    `VOICE_DID` Voice Direct Inward Dialing.
    `VOICE_EBS` Voice P-phone EBS physical interface.
    `VOICE_EM` Voice receive and transmit.
    `VOICE_EM_FGD` Voice E&M Feature Group D.
    `VOICE_ENCAPSULATION`
    `VOICE_FGD_EANA` Voice E&M Feature Group D exchange access (North America).
    `VOICE_FGD_OS` Voice E&M Feature Group D operator services.
    `VOICE_FXO` Voice Foreign Exchange Office.
    `VOICE_FXS` Voice Foreign Exchange Station.
    `VOICE_OVER_ATM`
    `VOICE_OVER_CABLE`
    `VOICE_OVER_FRAME_RELAY`
    `VOICE_OVER_IP_ENCAPSULATION`
    `WWAN_3GPP`
    `WWAN_3GPP_2`
    `X213` CCITT-ITU X.213 protocol.
    `X25_HUNT_GROUP`
    `X25_MLP` X.25 multi-link protocol.
    `X25_PLE`
    `X29_PAD` CCITT-ITU X.29 host PAD protocol.
    `X3_PAD` CCITT-ITU X.3 terminal PAD protocol.
    `X86_LAPS` LAPS based on ITU-T X.86/Y.1323.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the numeric value associated with this interface type constant.
    `boolean` | `isFiberConnector()` Returns true if this interface type is a physical interface type that uses a fiber media connector; false otherwise.
    `boolean` | `isLinkAggregateInterface()` Returns true if this interface type corresponds to a virtual link aggregate interface; false otherwise.
    `boolean` | `isMultiplexorInterface()` Returns true if this interface type corresponds to a virtual multiplexor interface; false otherwise.
    `boolean` | `isPhysicalPort()` Returns true if this interface type corresponds to a physical port; false otherwise.
    `boolean` | `isVirtualInterface()` Returns true if this interface type corresponds to a virtual interface; false otherwise.
    `static List<IfType>` | `valueOf(int value)` Returns the interface type constant corresponding to the specified numeric value.
    `static IfType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IfType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final IfType UNKNOWN

      The only non-IANA value here, this indicates that the interface type is not yet known.

    - #### OTHER

          public static final IfType OTHER

      None of the following.

    - #### REGULAR_1822

          public static final IfType REGULAR_1822

    - #### HDH_1822

          public static final IfType HDH_1822

    - #### DDN_X25

          public static final IfType DDN_X25

    - #### RFC_877_X25

          public static final IfType RFC_877_X25

    - #### ETHERNET_CSMACD

          public static final IfType ETHERNET_CSMACD

      For all Ethernet-like interfaces, regardless of speed, as per RFC 3635.

    - #### ISO8_802_3_CSMACD

          public static final IfType ISO8_802_3_CSMACD

      Deprecated via RFC 3635; interface type 6 should be used instead.

    - #### ISO8_802_4_TOKENBUS

          public static final IfType ISO8_802_4_TOKENBUS

    - #### ISO8_802_5_TOKENRING

          public static final IfType ISO8_802_5_TOKENRING

    - #### ISO8_802_6_MAN

          public static final IfType ISO8_802_6_MAN

    - #### STAR_LAN

          public static final IfType STAR_LAN

      Deprecated via RFC 3635; interface type 6 should be used instead.

    - #### PROTEON_10MBIT

          public static final IfType PROTEON_10MBIT

    - #### PROTEON_80MBIT

          public static final IfType PROTEON_80MBIT

    - #### HYPERCHANNEL

          public static final IfType HYPERCHANNEL

    - #### FDDI

          public static final IfType FDDI

    - #### LAPB

          public static final IfType LAPB

    - #### SDLC

          public static final IfType SDLC

    - #### DS1

          public static final IfType DS1

    - #### E1

          public static final IfType E1

      Obsolete; see DS1 MIB.

    - #### BASIC_ISDN

          public static final IfType BASIC_ISDN

      No longer used; see RFC 2127.

    - #### PRIMARY_ISDN

          public static final IfType PRIMARY_ISDN

      No longer used; see RFC 2127.

    - #### PROPRIETARY_POINT_TO_POINT_SERIAL

          public static final IfType PROPRIETARY_POINT_TO_POINT_SERIAL

    - #### PPP

          public static final IfType PPP

    - #### SOFTWARE_LOOPBACK

          public static final IfType SOFTWARE_LOOPBACK

    - #### EON

          public static final IfType EON

      CLNP over IP.

    - #### ETHERNET_3MBIT

          public static final IfType ETHERNET_3MBIT

    - #### NSIP

          public static final IfType NSIP

      XNS over IP.

    - #### SLIP

          public static final IfType SLIP

      Generic SLIP.

    - #### ULTRA

          public static final IfType ULTRA

      ULTRA technologies.

    - #### DS3

          public static final IfType DS3

    - #### SIP

          public static final IfType SIP

      SMDS, coffee.

    - #### FRAME_RELAY

          public static final IfType FRAME_RELAY

      DTE only.

    - #### RS232

          public static final IfType RS232

    - #### PARALLEL_PORT

          public static final IfType PARALLEL_PORT

    - #### ARCNET

          public static final IfType ARCNET

    - #### ARCNET_PLUS

          public static final IfType ARCNET_PLUS

    - #### ATM

          public static final IfType ATM

      ATM cells.

    - #### MIO_X25

          public static final IfType MIO_X25

    - #### SONET

          public static final IfType SONET

      SONET or SDH.

    - #### X25_PLE

          public static final IfType X25_PLE

    - #### ISO8_802_211C

          public static final IfType ISO8_802_211C

    - #### LOCALTALK

          public static final IfType LOCALTALK

    - #### SMDS_DXI

          public static final IfType SMDS_DXI

    - #### FRAME_RELAY_SERVICE

          public static final IfType FRAME_RELAY_SERVICE

      FRNETSERV MIB.

    - #### V35

          public static final IfType V35

    - #### HSSI

          public static final IfType HSSI

    - #### HIPPI

          public static final IfType HIPPI

    - #### MODEM

          public static final IfType MODEM

      Generic modem.

    - #### AAL5

          public static final IfType AAL5

      AAL5 over ATM.

    - #### SONET_PATH

          public static final IfType SONET_PATH

    - #### SONET_VT

          public static final IfType SONET_VT

    - #### SMDS_ICIP

          public static final IfType SMDS_ICIP

      SMDS inter-carrier interface.

    - #### PROPRIETARY_VIRTUAL

          public static final IfType PROPRIETARY_VIRTUAL

    - #### HP_VLAN

          public static final IfType HP_VLAN

    - #### PROPRIETARY_MULTIPLEXOR

          public static final IfType PROPRIETARY_MULTIPLEXOR

    - #### HP_MESH

          public static final IfType HP_MESH

    - #### HP_TRUNK

          public static final IfType HP_TRUNK

    - #### IEEE_802_12_HUNDRED_VG_ANYLAN

          public static final IfType IEEE_802_12_HUNDRED_VG_ANYLAN

      100 Base-VG.

    - #### FIBRE_CHANNEL

          public static final IfType FIBRE_CHANNEL

    - #### HIPPI_INTERFACE

          public static final IfType HIPPI_INTERFACE

    - #### FRAME_RELAY_INTERCONNECT

          public static final IfType FRAME_RELAY_INTERCONNECT

      Obsolete; interface types 32 or 44 should be used instead.

    - #### AFLANE_802_3

          public static final IfType AFLANE_802_3

      ATM emulated LAN for 802.3.

    - #### AFLANE_802_5

          public static final IfType AFLANE_802_5

      ATM emulated LAN for 802.5.

    - #### CCT_EMULATED

          public static final IfType CCT_EMULATED

      ATM emulated circuit.

    - #### FAST_ETHERNET

          public static final IfType FAST_ETHERNET

      Obsoleted via RFC 3635; interface type 6 should be used instead.

    - #### ISDN

          public static final IfType ISDN

      ISDN and X.25.

    - #### V11_X21

          public static final IfType V11_X21

      CCITT V.11/X.21.

    - #### V36

          public static final IfType V36

      CCITT V.36.

    - #### G703_64KBIT

          public static final IfType G703_64KBIT

      CCITT G703 at 64kbps.

    - #### G703_2MBIT

          public static final IfType G703_2MBIT

      Obsolete; see DS1 MIB.

    - #### QLLC

          public static final IfType QLLC

      SNA QLLC.

    - #### FAST_ETHERNET_FX

          public static final IfType FAST_ETHERNET_FX

      Obsoleted via RFC 3635; interface type 6 should be used instead.

    - #### FAST_ETHERNET_FX_SFP

          public static final IfType FAST_ETHERNET_FX_SFP

    - #### CHANNEL

          public static final IfType CHANNEL

    - #### IEEE_802_11

          public static final IfType IEEE_802_11

      Radio spread spectrum.

    - #### IBM_370_OEM_CHANNEL

          public static final IfType IBM_370_OEM_CHANNEL

      IBM System 360/370 OEMI channel.

    - #### ESCON

          public static final IfType ESCON

      IBM Enterprise Systems Connection.

    - #### DLSW

          public static final IfType DLSW

      Data link switching.

    - #### ISDN_ST

          public static final IfType ISDN_ST

      ISDN S/T interface.

    - #### ISDN_U

          public static final IfType ISDN_U

      ISDN U interface.

    - #### LAPD

          public static final IfType LAPD

      Link Access Protocol D.

    - #### IP_SWITCH

          public static final IfType IP_SWITCH

      IP switching objects.

    - #### RSRB

          public static final IfType RSRB

      Remote source bridge routing.

    - #### ATM_LOGICAL

          public static final IfType ATM_LOGICAL

      ATM logical port.

    - #### DS0

          public static final IfType DS0

      Digital Signal Level 0.

    - #### DS0_BUNDLE

          public static final IfType DS0_BUNDLE

      Group of DS0s on the same DS1.

    - #### BISYNC

          public static final IfType BISYNC

      Bisynchronous protocol.

    - #### ASYNC

          public static final IfType ASYNC

      Asynchronous protocol.

    - #### CNR

          public static final IfType CNR

      Combat Net Radio.

    - #### ISO8_802_5R_DTR

          public static final IfType ISO8_802_5R_DTR

    - #### EPLRS

          public static final IfType EPLRS

      External Position Location Report System.

    - #### ARAP

          public static final IfType ARAP

      AppleTalk Remote Access Protocol.

    - #### PROPRIETARY_CONNECTIONLESS

          public static final IfType PROPRIETARY_CONNECTIONLESS

    - #### X29_PAD

          public static final IfType X29_PAD

      CCITT-ITU X.29 host PAD protocol.

    - #### X3_PAD

          public static final IfType X3_PAD

      CCITT-ITU X.3 terminal PAD protocol.

    - #### FRAME_RELAY_MPI

          public static final IfType FRAME_RELAY_MPI

      Multiprotocol interconnect over Frame Relay.

    - #### X213

          public static final IfType X213

      CCITT-ITU X.213 protocol.

    - #### ADSL

          public static final IfType ADSL

      Asymmetric Digital Subscriber Loop.

    - #### RADSL

          public static final IfType RADSL

      Rate-Adapting Digital Subscriber Loop.

    - #### SDSL

          public static final IfType SDSL

      Symmetric Digital Subscriber Loop.

    - #### VDSL

          public static final IfType VDSL

      Very High-Speed Digital Subscriber Loop.

    - #### ISO8_802_5_CRFP

          public static final IfType ISO8_802_5_CRFP

    - #### MYRINET

          public static final IfType MYRINET

      Myricom Myrinet.

    - #### VOICE_EM

          public static final IfType VOICE_EM

      Voice receive and transmit.

    - #### VOICE_FXO

          public static final IfType VOICE_FXO

      Voice Foreign Exchange Office.

    - #### VOICE_FXS

          public static final IfType VOICE_FXS

      Voice Foreign Exchange Station.

    - #### VOICE_ENCAPSULATION

          public static final IfType VOICE_ENCAPSULATION

    - #### VOICE_OVER_IP_ENCAPSULATION

          public static final IfType VOICE_OVER_IP_ENCAPSULATION

    - #### ATM_DXI

          public static final IfType ATM_DXI

    - #### ATM_FUNI

          public static final IfType ATM_FUNI

    - #### ATM_IMA

          public static final IfType ATM_IMA

    - #### PPP_MULTILINK_BUNDLE

          public static final IfType PPP_MULTILINK_BUNDLE

    - #### IP_OVER_CDLC

          public static final IfType IP_OVER_CDLC

      IBM IP over CDLC.

    - #### IP_OVER_CLAW

          public static final IfType IP_OVER_CLAW

      IBM Common Link Access to workstation.

    - #### STACK_TO_STACK

          public static final IfType STACK_TO_STACK

      IBM stack-to-stack.

    - #### VIPA

          public static final IfType VIPA

      IBM virtual IP address.

    - #### MPC

          public static final IfType MPC

      IBM multi-protocol channel support.

    - #### IP_OVER_ATM

          public static final IfType IP_OVER_ATM

    - #### ISO8_802_5J_FIBER

          public static final IfType ISO8_802_5J_FIBER

    - #### TDLC

          public static final IfType TDLC

      IBM twin-axial data link control.

    - #### GIGABIT_ETHERNET

          public static final IfType GIGABIT_ETHERNET

      Deprecated via RFC 3635; interface type 6 should be used instead.

    - #### GIGABIT_ETHERNET_LX

          public static final IfType GIGABIT_ETHERNET_LX

      Deprecated via RFC 3635; interface type 6 should be used instead.

    - #### HDLC

          public static final IfType HDLC

    - #### GIGABIT_ETHERNET_T

          public static final IfType GIGABIT_ETHERNET_T

      Deprecated via RFC 3635; interface type 6 should be used instead.

    - #### LAPF

          public static final IfType LAPF

      Link Access Protocol F.

    - #### GIGABIT_ETHERNET_STK

          public static final IfType GIGABIT_ETHERNET_STK

    - #### V37

          public static final IfType V37

    - #### GIGABIT_ETHERNET_LH

          public static final IfType GIGABIT_ETHERNET_LH

    - #### X25_MLP

          public static final IfType X25_MLP

      X.25 multi-link protocol.

    - #### TEN_GIGABIT_ETHERNET_CX4

          public static final IfType TEN_GIGABIT_ETHERNET_CX4

    - #### X25_HUNT_GROUP

          public static final IfType X25_HUNT_GROUP

    - #### GIGABIT_ETHERNET_ESP

          public static final IfType GIGABIT_ETHERNET_ESP

    - #### TRANSP_HDLC

          public static final IfType TRANSP_HDLC

    - #### TEN_GIGABIT_ETHERNET_SR

          public static final IfType TEN_GIGABIT_ETHERNET_SR

    - #### INTERLEAVE_CHANNEL

          public static final IfType INTERLEAVE_CHANNEL

    - #### TEN_GIGABIT_ETHERNET_ER

          public static final IfType TEN_GIGABIT_ETHERNET_ER

    - #### FAST_CHANNEL

          public static final IfType FAST_CHANNEL

    - #### TEN_GIGABIT_ETHERNET_LR

          public static final IfType TEN_GIGABIT_ETHERNET_LR

    - #### IP

          public static final IfType IP

      IP (for APPN HPR in IP networks).

    - #### DOCS_CABLE_MAC_LAYER

          public static final IfType DOCS_CABLE_MAC_LAYER

      Cable television MAC layer.

    - #### DOCS_CABLE_DOWNSTREAM

          public static final IfType DOCS_CABLE_DOWNSTREAM

      Cable television downstream interface.

    - #### DOCS_CABLE_UPSTREAM

          public static final IfType DOCS_CABLE_UPSTREAM

      Cable television upstream interface.

    - #### HPICFTC_SFP_LRM

          public static final IfType HPICFTC_SFP_LRM

    - #### A12MBIT_PP_SWITCH

          public static final IfType A12MBIT_PP_SWITCH

      Avalon Parallel Processor.

    - #### TUNNEL

          public static final IfType TUNNEL

      Encapsulation interface.

    - #### COFFEE

          public static final IfType COFFEE

      Coffee pot.

    - #### CES

          public static final IfType CES

      Circuit emulation service.

    - #### ATM_SUB_INTERFACE

          public static final IfType ATM_SUB_INTERFACE

    - #### L2VLAN

          public static final IfType L2VLAN

      Layer 2 virtual LAN using 802.1Q.

    - #### L3_IP_VLAN

          public static final IfType L3_IP_VLAN

      Layer 3 virtual LAN using IP.

    - #### L3_IPX_VLAN

          public static final IfType L3_IPX_VLAN

      Layer 3 virtual LAN using IPX.

    - #### DIGITAL_POWERLINE

          public static final IfType DIGITAL_POWERLINE

      IP over power lines.

    - #### MEDIA_MAIL_OVER_IP

          public static final IfType MEDIA_MAIL_OVER_IP

      Multi-media mail over IP.

    - #### DTM

          public static final IfType DTM

      Dynamic synchronous transfer mode.

    - #### DCN

          public static final IfType DCN

      Data Communications Network.

    - #### IP_FORWARDING

          public static final IfType IP_FORWARDING

    - #### MSDSL

          public static final IfType MSDSL

      Multi-rate symmetric DSL.

    - #### IEEE_1394

          public static final IfType IEEE_1394

      IEEE 1394 high-performance serial bus.

    - #### IF_GSN

          public static final IfType IF_GSN

      HIPPI 6400.

    - #### DVB_RCC_MAC_LAYER

          public static final IfType DVB_RCC_MAC_LAYER

    - #### DVB_RCC_DOWNSTREAM

          public static final IfType DVB_RCC_DOWNSTREAM

    - #### DVB_RCC_UPSTREAM

          public static final IfType DVB_RCC_UPSTREAM

    - #### ATM_VIRTUAL

          public static final IfType ATM_VIRTUAL

    - #### MPLS_TUNNEL

          public static final IfType MPLS_TUNNEL

    - #### SRP

          public static final IfType SRP

      Spatial Reuse Protocol.

    - #### VOICE_OVER_ATM

          public static final IfType VOICE_OVER_ATM

    - #### VOICE_OVER_FRAME_RELAY

          public static final IfType VOICE_OVER_FRAME_RELAY

    - #### IDSL

          public static final IfType IDSL

      Digital Subscriber Loop over ISDN.

    - #### COMPOSITE_LINK

          public static final IfType COMPOSITE_LINK

      Avici Composite Link Interface.

    - #### SS7_SIGNALING_LINK

          public static final IfType SS7_SIGNALING_LINK

    - #### PROPRIETARY_WIRELESS_POINT_TO_POINT

          public static final IfType PROPRIETARY_WIRELESS_POINT_TO_POINT

    - #### FRAME_FORWARD

          public static final IfType FRAME_FORWARD

    - #### RFC1483

          public static final IfType RFC1483

      Multi-protocol over ATM AAL5.

    - #### USB

          public static final IfType USB

    - #### IEEE_802_3AD_LINK_AGGREGATE

          public static final IfType IEEE_802_3AD_LINK_AGGREGATE

    - #### BGP_POLICY_ACCOUNTING

          public static final IfType BGP_POLICY_ACCOUNTING

    - #### FRF_16_MULTILINK_FRAME_RELAY_BUNDLE

          public static final IfType FRF_16_MULTILINK_FRAME_RELAY_BUNDLE

    - #### H323_GATEKEEPER

          public static final IfType H323_GATEKEEPER

    - #### H323_PROXY

          public static final IfType H323_PROXY

      H323 voice and video proxy.

    - #### MPLS

          public static final IfType MPLS

    - #### MULTI_FREQUENCY_SIGNALING_LINK

          public static final IfType MULTI_FREQUENCY_SIGNALING_LINK

    - #### HDSL_2

          public static final IfType HDSL_2

      High bitrate DSL (second generation).

    - #### SHDSL

          public static final IfType SHDSL

      Multi-rate HDSL2.

    - #### DS1_FDL

          public static final IfType DS1_FDL

      Facility data link 4kbps on a DS1.

    - #### POS

          public static final IfType POS

      Packet over SONET/SDH interface.

    - #### DVB_ASI_INPUT

          public static final IfType DVB_ASI_INPUT

    - #### DVB_ASI_OUTPUT

          public static final IfType DVB_ASI_OUTPUT

    - #### PLC

          public static final IfType PLC

      Power link communications.

    - #### NFAS

          public static final IfType NFAS

      Non-facility associated signaling.

    - #### TR008

          public static final IfType TR008

    - #### GR303_RDT

          public static final IfType GR303_RDT

      Remote Digital Terminal.

    - #### GR303_IDT

          public static final IfType GR303_IDT

      Integrated Digital Terminal.

    - #### ISUP

          public static final IfType ISUP

    - #### PROPRIETARY_DOCS_WIRELESS_MAC_LAYER

          public static final IfType PROPRIETARY_DOCS_WIRELESS_MAC_LAYER

      Cisco proprietary MAC layer.

    - #### PROPRIETARY_DOCS_WIRELESS_DOWNSTREAM

          public static final IfType PROPRIETARY_DOCS_WIRELESS_DOWNSTREAM

      Cisco proprietary downstream.

    - #### PROPRIETARY_DOCS_WIRELESS_UPSTREAM

          public static final IfType PROPRIETARY_DOCS_WIRELESS_UPSTREAM

      Cisco proprietary upstream.

    - #### HIPER_LAN_2

          public static final IfType HIPER_LAN_2

      HIPERLAN type 2 radio interface.

    - #### PROPRIETARY_BROADBAND_WIRELESS_AP_TO_MULTIPOINT

          public static final IfType PROPRIETARY_BROADBAND_WIRELESS_AP_TO_MULTIPOINT

      Deprecated for IEEE 802.16f standard; interface type 237 should be used instead.

    - #### SONET_OVERHEAD_CHANNEL

          public static final IfType SONET_OVERHEAD_CHANNEL

    - #### DIGITAL_WRAPPER_OVERHEAD_CHANNEL

          public static final IfType DIGITAL_WRAPPER_OVERHEAD_CHANNEL

    - #### AAL2

          public static final IfType AAL2

      ATM adaptation layer 2.

    - #### RADIO_MAC

          public static final IfType RADIO_MAC

      MAC layer over radio links.

    - #### ATM_RADIO

          public static final IfType ATM_RADIO

      ATM over radio links.

    - #### INTER_MACHINE_TRUNKS

          public static final IfType INTER_MACHINE_TRUNKS

    - #### MVL

          public static final IfType MVL

      Multiple virtual lines DSL

    - #### LONG_REACH_DSL

          public static final IfType LONG_REACH_DSL

    - #### FRAME_RELAY_DLCI_ENDPOINT

          public static final IfType FRAME_RELAY_DLCI_ENDPOINT

    - #### ATM_VCI_ENDPOINT

          public static final IfType ATM_VCI_ENDPOINT

    - #### OPTICAL_CHANNEL

          public static final IfType OPTICAL_CHANNEL

    - #### OPTICAL_TRANSPORT

          public static final IfType OPTICAL_TRANSPORT

    - #### PROPRIETARY_ATM

          public static final IfType PROPRIETARY_ATM

    - #### VOICE_OVER_CABLE

          public static final IfType VOICE_OVER_CABLE

    - #### INFINIBAND

          public static final IfType INFINIBAND

    - #### TE_LINK

          public static final IfType TE_LINK

    - #### Q_2931

          public static final IfType Q_2931

    - #### VIRTUAL_TRUNK_GROUP

          public static final IfType VIRTUAL_TRUNK_GROUP

    - #### SIP_TRUNK_GROUP

          public static final IfType SIP_TRUNK_GROUP

    - #### SIP_SIGNALING

          public static final IfType SIP_SIGNALING

    - #### DOCS_CABLE_UPSTREAM_CHANNEL

          public static final IfType DOCS_CABLE_UPSTREAM_CHANNEL

      Cable television upstream channel.

    - #### ECONET

          public static final IfType ECONET

      Acorn Econet.

    - #### PON_155

          public static final IfType PON_155

      FSAN 155Mbps Symmetrical PON interface.

    - #### PON_622

          public static final IfType PON_622

      FSAN 622Mbps Symmetrical PON interface.

    - #### TRANSPARENT_BRIDGE

          public static final IfType TRANSPARENT_BRIDGE

    - #### LINE_GROUP

          public static final IfType LINE_GROUP

      Interface common to multiple lines.

    - #### VOICE_EM_FGD

          public static final IfType VOICE_EM_FGD

      Voice E&M Feature Group D.

    - #### VOICE_FGD_EANA

          public static final IfType VOICE_FGD_EANA

      Voice E&M Feature Group D exchange access (North America).

    - #### VOICE_DID

          public static final IfType VOICE_DID

      Voice Direct Inward Dialing.

    - #### MPEG_TRANSPORT

          public static final IfType MPEG_TRANSPORT

    - #### SIX_TO_FOUR

          public static final IfType SIX_TO_FOUR

      Deprecated.

    - #### GTP

          public static final IfType GTP

      GPRS Tunneling Protocol.

    - #### PDN_ETHERLOOP_1

          public static final IfType PDN_ETHERLOOP_1

    - #### PDN_ETHERLOOP_2

          public static final IfType PDN_ETHERLOOP_2

    - #### OPTICAL_CHANNEL_GROUP

          public static final IfType OPTICAL_CHANNEL_GROUP

    - #### HOME_PNA

          public static final IfType HOME_PNA

      Home PNA ITU-T G.989.

    - #### GFP

          public static final IfType GFP

      Generic Framing Procedure.

    - #### CISCO_ISL_VLAN

          public static final IfType CISCO_ISL_VLAN

      Layer 2 VLAN using Cisco ISL.

    - #### ACTELIS_METALOOP

          public static final IfType ACTELIS_METALOOP

      Actelis proprietary MetaLOOP high-speed link.

    - #### FCIP_LINK

          public static final IfType FCIP_LINK

    - #### RPR

          public static final IfType RPR

      Resilient Packet Ring.

    - #### QAM

          public static final IfType QAM

      RF Qam interface.

    - #### LMP

          public static final IfType LMP

      Link Management Protocol.

    - #### CBL_VECTASTAR

          public static final IfType CBL_VECTASTAR

      Cambridge Broadband Networks Limited VectaStar.

    - #### DOCS_CABLE_MCTMS_DOWNSTREAM

          public static final IfType DOCS_CABLE_MCTMS_DOWNSTREAM

      Cable television modular CMTS downstream interface.

    - #### ADSL2

          public static final IfType ADSL2

      Asymmetric Digital Subscriber Loop version 2. Deprecated; interface type 238 should be used instead.

    - #### MAC_SEC_CONTROLLED

          public static final IfType MAC_SEC_CONTROLLED

    - #### MAC_SEC_UNCONTROLLED

          public static final IfType MAC_SEC_UNCONTROLLED

    - #### AVICI_OPTICAL_ETHERNET

          public static final IfType AVICI_OPTICAL_ETHERNET

      Avici Optical Ethernet aggregate.

    - #### ATM_BOND

          public static final IfType ATM_BOND

    - #### VOICE_FGD_OS

          public static final IfType VOICE_FGD_OS

      Voice E&M Feature Group D operator services.

    - #### MOCA_VERSION_1

          public static final IfType MOCA_VERSION_1

      Multi-media over Coax Alliance (MoCA).

    - #### IEEE_802_16_WMAN

          public static final IfType IEEE_802_16_WMAN

    - #### ADSL2_PLUS

          public static final IfType ADSL2_PLUS

      Asymmetric Digital Subscriber Loop version 2+ and all variants.

    - #### DVB_RCS_MAC_LAYER

          public static final IfType DVB_RCS_MAC_LAYER

    - #### DVB_TDM

          public static final IfType DVB_TDM

      DVB Satellite TDM.

    - #### DVB_RCS_TDMA

          public static final IfType DVB_RCS_TDMA

    - #### X86_LAPS

          public static final IfType X86_LAPS

      LAPS based on ITU-T X.86/Y.1323.

    - #### WWAN_3GPP

          public static final IfType WWAN_3GPP

    - #### WWAN_3GPP_2

          public static final IfType WWAN_3GPP_2

    - #### VOICE_EBS

          public static final IfType VOICE_EBS

      Voice P-phone EBS physical interface.

    - #### PSEUDO_WIRE

          public static final IfType PSEUDO_WIRE

    - #### ILAN

          public static final IfType ILAN

      Internal LAN on a bridge per IEEE 802.1ap.

    - #### PIP

          public static final IfType PIP

      Provider instance port on a bridge per IEEE 802.1ah PBB.

    - #### ALU_ELP

          public static final IfType ALU_ELP

      Alcatel-Lucent Ethernet Link Protection.

    - #### GPON

          public static final IfType GPON

      Gigabit-capable passive optical networks (G-PON) per ITU-T G.948.

    - #### VDSL2

          public static final IfType VDSL2

      Very High-Speed Digital Subscriber Loop version 2 (per ITU-T G.993.2).

    - #### CAP_WAP_802_11_PROFILE

          public static final IfType CAP_WAP_802_11_PROFILE

      WLAN profile interface.

    - #### CAP_WAP_802_11_BSS

          public static final IfType CAP_WAP_802_11_BSS

      WLAN BSS interface.

    - #### CAP_WAP_802_11_WTP_VIRTUAL_RADIO

          public static final IfType CAP_WAP_802_11_WTP_VIRTUAL_RADIO

      WLAN Virtual Radio interface.

  - ### Method Detail

    - #### values

          public static IfType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IfType c : IfType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IfType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns the numeric value associated with this interface type constant.
      Returns:
        the numeric value

    - #### isLinkAggregateInterface

          public boolean isLinkAggregateInterface()

      Returns true if this interface type corresponds to a virtual link aggregate interface; false otherwise.
      Returns:
        true if this interface type corresponds to a virtual link aggregate interface; false otherwise

    - #### isMultiplexorInterface

          public boolean isMultiplexorInterface()

      Returns true if this interface type corresponds to a virtual multiplexor interface; false otherwise.
      Returns:
        true if this interface type corresponds to a virtual multiplexor interface; false otherwise

    - #### isPhysicalPort

          public boolean isPhysicalPort()

      Returns true if this interface type corresponds to a physical port; false otherwise.
      Returns:
        true if this interface type corresponds to a physical port; false otherwise

    - #### isFiberConnector

          public boolean isFiberConnector()

      Returns true if this interface type is a physical interface type that uses a fiber media connector; false otherwise.
      Returns:
        true if this interface type is a physical interface type that uses a fiber connector; false otherwise

    - #### isVirtualInterface

          public boolean isVirtualInterface()

      Returns true if this interface type corresponds to a virtual interface; false otherwise.
      Returns:
        true if the specified interface type corresponds to a virtual interface; false otherwise

    - #### valueOf

          public static List<IfType> valueOf(int value)

      Returns the interface type constant corresponding to the specified numeric value.
      Parameters:
        `value` - the numeric value of the required interface type
      Returns:
        the interface type constant corresponding to the specified numeric value, or `null` if no such interface type exists

Copyright © 2014. All Rights Reserved.